# DerivedElement

class xsdata.formats.dataclass.models.generics.DerivedElement(qname, value, type=None)

  Generic model wrapper for type substituted elements.

  Example: eg. <b xsi:type=”a”>…</b>

  Parameters

    - qname (`str`) – The element’s qualified name

    - value (~T) – The wrapped value

    - type (`Optional`[`str`, `None`]) – The real xsi:type

  __eq__(other)

    Return self==value.

  __hash__ = None
  classmethod __init_subclass__(*args, **kwargs)

    This method is called when a class is subclassed.

    The default implementation does nothing. It may be overridden to extend subclasses.